All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.html
Class AbstractSelectorContainer

    com.sas.servlet.tbeans.dataselectors.html.AbstractSelectorContainer

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, DataSelectorInterface, HttpDataSelectorInterface, com.sas.dataselectors.SelectorCloseInterface, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, SelectorContainerStyleKeysInterface, SelectorContainerKeysInterface, FormViewInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  EntityAttributeValueSelector, ExceptionHighlightingChartSelector, ExceptionHighlightingSelector, ExportSelector, FilterAndRankSelector, FindSelector, MapCrossingSelector, MapPropertySelector, MemberPropertiesSelector, OLAPTimeBasedFilterSelector, PercentCalculationsSelector, SimpleCalculatedItemSelector, SortSelector

    public abstract class AbstractSelectorContainer

implements SelectorContainerStyleKeysInterface, SelectorContainerKeysInterface, com.sas.dataselectors.SelectorCloseInterface

The AbstractSelectorContainer is an abstract TransformationBean™ that provides base level functionality for selector containers. Selector containers are composite components that contain a selector panel and OK and Cancel buttons. This is the outermost component in the data selector framework. Selector panels typically contain the most granular of the selector components.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME` The default template file name for the containers

Fields inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`EXTERNAL_CHILD_SELECTOR, SELECTOR_EXPAND, SELECTOR_EXTERNAL`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.html.SelectorContainerStyleKeysInterface
`SELECTOR_BUTTON_CONTAINER, SELECTOR_BUTTON_TABLE, SELECTOR_CONTAINER, SELECTOR_CONTAINER_CANCEL_BUTTON, SELECTOR_CONTAINER_HELP_BUTTON, SELECTOR_CONTAINER_OK_BUTTON`

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.SelectorContainerKeysInterface
`SELECTORCONTAINER_BUTTON_ROW_ID, SELECTORCONTAINER_CANCEL_BUTTON, SELECTORCONTAINER_HELP_BUTTON, SELECTORCONTAINER_OK_BUTTON, SELECTORCONTAINER_PANEL`

Constructor Summary
`AbstractSelectorContainer()`
`AbstractSelectorContainer(java.lang.String id)`

Method Summary
`void` | `close()`
`java.lang.Object` | `getSelectorModel()` Returns the selector's data model
`void` | `setSelectorButtonIds(java.lang.String id)` Set the ids for the OK, Cancel, and Help buttons for the selector.
`void` | `setSelectorModel(java.lang.Object selectormodel)` Sets the selector's data model
`void` | `write(java.io.PrintWriter out)` Writes the selector
`void` | `writeRemoteScriptCommands(java.io.PrintWriter out)`
`void` | `writeRemoteScriptFrame(java.io.PrintWriter out)` Writes the iframe tag needed for remote javascript calls

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.DataSelector
`getAdditionalParameters, getDefaultFormObject, getFormObject, isFormEnabled, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject`

Methods inherited from class com.sas.servlet.tbeans.dataselectors.BaseDataSelector
`getActionProvider, getClosingFunctionName, getCommandId, getDefaultButtonAction, getReferringURI, getSelectorId, getSelectorType, isButtonsVisible, setActionProvider, setButtonsVisible, setClosingFunctionName, setCommandId, setDefaultButtonAction, setReferringURI, setSelectorId, setSelectorType`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible, setVisible`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### DEFAULT_TEMPLATE_FILE_NAME

    public static final java.lang.String DEFAULT_TEMPLATE_FILE_NAME

  The default template file name for the containers

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSelectorContainer

    public AbstractSelectorContainer(java.lang.String id)

### AbstractSelectorContainer

    public AbstractSelectorContainer()

Method Detail

### setSelectorButtonIds

    public void setSelectorButtonIds(java.lang.String id)

  Set the ids for the OK, Cancel, and Help buttons for the selector. The id parameter is used as a prefix to generate a unique id property for each button.

  Parameters:
    `id` - Prefix for the generated id for each button. This parameter would typically be the id of the selector.

### setSelectorModel

    public void setSelectorModel(java.lang.Object selectormodel)

  Sets the selector's data model

  Specified by:
    `setSelectorModel` in interface `DataSelectorInterface`
  Overrides:
    `setSelectorModel` in class `BaseDataSelector`
  Parameters:
    `selectormodel` - The selector's data model

### getSelectorModel

    public java.lang.Object getSelectorModel()

  Returns the selector's data model

  Specified by:
    `getSelectorModel` in interface `DataSelectorInterface`
  Overrides:
    `getSelectorModel` in class `BaseDataSelector`
  Returns:
    The selector's data model

### writeRemoteScriptCommands

    public void writeRemoteScriptCommands(java.io.PrintWriter out)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeRemoteScriptFrame

    public void writeRemoteScriptFrame(java.io.PrintWriter out)
                                throws java.io.IOException

  Writes the iframe tag needed for remote javascript calls

  Parameters:
    `out` - - the output stream
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the selector

  Specified by:
    `write` in interface `HttpDataSelectorInterface`
  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseDataSelector`
  Parameters:
    `out` - - the output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### close

    public void close()

  Specified by:
    `close` in interface `com.sas.dataselectors.SelectorCloseInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.